#
# Conditional build:
%bcond_with	tests		# build with tests
#
# TODO:
# - runtime Requires if any

%define		kdeframever	6.14
%define		qtver		5.15.2
%define		kfname		ksvg
Summary:	svg library
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	e0e6deb2ef044df77dbc848002bf60aa
URL:		http://www.kde.org/
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6Svg-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	catdoc
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-kirigami-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SVG library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

#%find_lang libkirigami6 --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKF6Svg.so.*.*
%ghost %{_libdir}/libKF6Svg.so.6
%dir %{_libdir}/qt6/qml/org/kde/ksvg
%{_libdir}/qt6/qml/org/kde/ksvg/corebindingsplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/ksvg/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/ksvg/libcorebindingsplugin.so
%{_libdir}/qt6/qml/org/kde/ksvg/qmldir
%{_datadir}/qlogging-categories6/ksvg.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KSvg
%{_libdir}/cmake/KF6Svg
%{_libdir}/libKF6Svg.so
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-ksvg.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fb55af5
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 483631d
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4342800
- updated to 6.12.0

* Sat Feb 22 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d3a8efd
- relup

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8abe866
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3c2be5c
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c95f57d
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d96a27c
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 89c46bd
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0bfe07e
- updated to 6.6.0

* Sat Aug 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4de7294
- BR: kf6-kirigami-devel

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 63f610e
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 569b08a
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f5b495a
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3fabbb3
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cbf6aee
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 235f49a
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7a6f1f0
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 82460e7
- updated to 6.0.0

* Tue Feb 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ba74a73
- kf6 deps

